> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cj.agc-vie.fnstack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Post v1policies

> Create a policy holder



## OpenAPI

````yaml post /v1/policies
openapi: 3.0.1
info:
  version: 1.0.0
  title: AGC-VIE - Customer Journeys API
  description: This API can be use for Customer journeys integrations with 3PPs
servers:
  - url: https://dev-api-cj-agc-vie.fnstack.dev
security:
  - API Key: []
paths:
  /v1/policies:
    post:
      tags:
        - Policies
      description: Create a policy holder
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                price_id:
                  type: string
                  minLength: 1
                  example: price_2dDbQOAQAJzPrWeZsrlVa4aCtQ3
                policy_type:
                  type: string
                  enum:
                    - CLASSIC_SAVINGS
                    - EDUCATIONAL_FORESIGHT
                    - MOBIL_PROTECT
                    - PENSION_SAVINGS
                beneficiaries:
                  type: array
                  items:
                    type: object
                    properties:
                      first_name:
                        type: string
                        maxLength: 250
                        example: Yvette
                      last_name:
                        type: string
                        minLength: 1
                        maxLength: 250
                        example: OKO
                      phone_number:
                        type: string
                        minLength: 1
                        example: '242059758563'
                    required:
                      - last_name
                      - phone_number
                policy_holder_id:
                  type: string
                  minLength: 1
                  example: phol_2c1x7V4r47ynM4RABVm1Co0UKkG
              required:
                - price_id
                - policy_type
                - beneficiaries
                - policy_holder_id
      responses:
        '202':
          description: '''Create a policy'' command accepted and ongoing'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePolicyOutput'
        '401':
          description: Authentication invalid
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '403':
          description: Forbiden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
        '422':
          description: Invalid request parameters
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                required:
                  - error
components:
  schemas:
    CreatePolicyOutput:
      type: object
      properties:
        policy_id:
          type: string
          minLength: 1
          example: policy_2c1x7V4r47ynM4RABVm1Co0UKkG
        charge_id:
          type: string
          minLength: 1
          example: ch_2c1x7V4r47ynM4RABVm1Co0UKty
      required:
        - policy_id
        - charge_id
  securitySchemes:
    API Key:
      type: apiKey
      in: header
      name: x-api-key

````